%global gobject_introspection_version 1.35.9
%global gtk4_version 4.5
%global gjs_version 1.71.0

Name:		    gnome-weather
Version:	    44.0
Release:	    1
Summary:	    A weather application for GNOME
License:	    GPLv2+ and LGPLv2+ and MIT and CC-BY-3.0 and CC-BY-SA-4.0
URL:		    https://wiki.gnome.org/Apps/Weather
Source0:	    https://download.gnome.org/sources/%{name}/44/%{name}-%{version}.tar.xz

BuildArch:	    noarch

BuildRequires:	desktop-file-utils
BuildRequires:	gettext
BuildRequires:	meson
BuildRequires:	python3-devel
BuildRequires:	pkgconfig(geoclue-2.0)
BuildRequires:	pkgconfig(gjs-1.0) >= %{gjs_version}
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gobject-introspection-1.0) >= %{gobject_introspection_version}
BuildRequires:	pkgconfig(gtk4) >= %{gtk4_version}
BuildRequires:	pkgconfig(gweather4)
BuildRequires:	pkgconfig(libadwaita-1)

Requires:	    gdk-pixbuf2
Requires:	    geoclue2-libs
Requires:	    gjs >= %{gjs_version}
Requires:	    glib2
Requires:	    gobject-introspection >= %{gobject_introspection_version}
Requires:	    gsettings-desktop-schemas
Requires:	    gtk4 >= %{gtk4_version}
Requires:    	libadwaita
Requires:	    libgweather

%description
gnome-weather is a weather application for GNOME

%prep
%autosetup -p1 -n %{name}-%{version}
pathfix.py -i %{__python3} .

%build
%meson
%meson_build

%install
%meson_install

%find_lang org.gnome.Weather

%check
desktop-file-validate %{buildroot}%{_datadir}/applications/org.gnome.Weather.desktop

%files -f org.gnome.Weather.lang
%license COPYING.md
%doc NEWS data/CREDITS
%{_bindir}/gnome-weather
%{_datadir}/applications/org.gnome.Weather.desktop
%{_datadir}/dbus-1/services/org.gnome.Weather.service
%{_datadir}/dbus-1/services/org.gnome.Weather.BackgroundService.service
%{_datadir}/glib-2.0/schemas/org.gnome.Weather.gschema.xml
%dir %{_datadir}/gnome-shell/
%dir %{_datadir}/gnome-shell/search-providers/
%{_datadir}/gnome-shell/search-providers/org.gnome.Weather.search-provider.ini
%{_datadir}/icons/hicolor/*/apps/org.gnome.Weather*
%{_datadir}/icons/hicolor/scalable/status/*.svg
%{_datadir}/metainfo/org.gnome.Weather.appdata.xml
%{_datadir}/org.gnome.Weather/

%changelog
* Thu Nov 23 2023 lwg <liweiganga@uniontech.com> - 44.0-1
- update to version 44.0

* Sat Mar 04 2023 wenlong ding <wenlong.ding@turbolinux.com.cn> - 43.0-2
- Fix install error

* Mon Jan 02 2023 lin zhang <lin.zhang@turbolinux.com.cn> - 43.0-1
- Update to 43.0

* Mon Jul 4 2022 lin zhang <lin.zhang@turbolinux.com.cn> - 42.0-3
- modify License : #I5FKKS

* Mon Jun 20 2022 lin zhang <lin.zhang@turbolinux.com.cn> - 42.0-2
- add gnome-weather.yaml

* Mon Mar 28 2022 lin zhang <lin.zhang@turbolinux.com.cn> - 42.0-1
- Upgrade to 42.0

* Mon Jun 21 2021 weijin deng <weijin.deng@turbolinux.com.cn> - 3.36.1-1
- Package init with version 3.36.1
